Metacat - Bug #4442

Spatial indexing should not run and block metacat
10/07/2009 10:35 AM - Michael Daigle

Status: New Start date: 10/07/2009
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.x.y Spent time: 0.00 hour
Bugzilla-ld: 4442

Description

spatial indexing runs after a fresh install the first time someone accesses metacat servlet. It blocks any calls until it is done. This can

take over thirty minutes in production knb.

It should run it the background, and possibly be kicked off by a scheduler.

Related issues:
Related to Metacat - Feature #5810: Implement SOLR-based search

Closed

01/24/2013

History

#1 - 01/20/2010 03:24 PM - Michael Daigle

moving to 1.9.3 target

#2 - 10/26/2011 03:48 PM - Matt Jones
Related to bug #3811.

#3 - 03/27/2013 02:26 PM - Redmine Admin
Original Bugzilla ID was 4442

#4 - 04/08/2013 01:49 PM - ben leinfelder
- Assignee changed from Michael Daigle to ben leinfelder

- Target version changed from Postpone to 2.1.0

Thoughts:

-if it runs in the background it is entirely possible to get incomplete results if you query as the index is being [re]built.
-we should consider how this search API can be replaced by the SOLR implementation. Showing the point/bounding boxes is a cool feature and one
that we don't necessarily get with the coordinates being indexed in SOLR, but it seems like the spatial cache could easily be populated from the

SOLR index and that would not block Metacat start-up because indexing will be running essentially stand-alone.

#5 - 07/09/2013 02:23 PM - ben leinfelder

- Target version changed from 2.1.0 to 2.x.y

03/13/2024
https://projects.ecoinformatics.org/ecoinfo/issues/3811
http://www.tcpdf.org

